Bug 467559 - verbose total download with recent yum
verbose total download with recent yum
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 12:29 EDT by Paul Jenner
Modified: 2014-01-21 18:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-01 06:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jenner 2008-10-18 12:29:43 EDT
Description of problem:
With recent version of yum, yum-cron e-mails total download as cron output e-mail where it was quiet previously. Example of e-mail:

Subject: 	Cron <root@localhost> run-parts /etc/cron.daily

/etc/cron.daily/yum.cron:

--------------------------------------------------------------------------------
Total                                           607 kB/s |  47 MB     01:18     

This is with default settings of install updates and no ERROR_LEVEL or DEBUG_LEVEL set (so both are presumably defaulted to 0 - i.e. "yum - e 0 -d 0".

Version-Release number of selected component (if applicable):
[psj@localhost ~]$ rpm -q yum-cron yum
yum-cron-0.8.2-1.fc9.noarch
yum-3.2.19-3.fc9.noarch

How reproducible:
Always

Steps to Reproduce:
1. Enable yum-cron with default install and quiet ERROR_LEVEL and DEBUG_LEVEL settings
  
Actual results:
Cron e-mail after updates are downloaded

Expected results:
No cron e-mail - i.e. the updates are quiet

Additional info:
I assume something has changed in recent yum to report these download totals even with "-e 0 -d 0" when they weren't reported before. I will investigate as get chance (and maybe move the bug to yum if appropriate).
Comment 1 James Antill 2008-10-18 13:37:34 EDT
This is fixed upstream and is in the Fedora 10/rawhide yum version. It'll get backported to Fedora 9 eventually (but feel free to install the latest version now, if you want).
Comment 2 Tim Lauridsen 2008-11-01 06:16:50 EDT
i will close it, no need to keep it open

Note You need to log in before you can comment on or make changes to this bug.